/* Articulat CF Font Family */
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-Regular.otf') format('opentype'); font-weight: 500; font-style: normal; font-display: swap; }
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-RegularOblique.otf') format('opentype'); font-weight: 500; font-style: oblique; font-display: swap; }
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-DemiBold.otf') format('opentype'); font-weight: 600; font-style: normal; font-display: swap; }
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-DemiBoldOblique.otf') format('opentype'); font-weight: 600; font-style: oblique; font-display: swap; }
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-ExtraBold.otf') format('opentype'); font-weight: 800; font-style: normal; font-display: swap; }
@font-face { font-family: 'Articulat CF'; src: url('/marketplace/fonts/ArticulatCF-ExtraBoldOblique.otf') format('opentype'); font-weight: 800; font-style: oblique; font-display: swap; }

:root, [data-bs-theme=light] {
    --fn-primary: #ECAEFF;
    --fn-dark: black;
    --fn-secondary: #310DA3;
}

body {
    font-family: 'Articulat CF', sans-serif !important;
}

.bg-primary, footer {
    background: #ECAEFF !important;
}

.text-custom-primary {
    color: #ECAEFF;
}

.text-custom-accent {
    color: #310DA3;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
    color: black;
}

.badge.bg-dark {
    background-color: black !important;
}

/*
    Solid Dark Button in Light Theme
    Solid Light Button in Dark Theme
*/
.pov-btn-dark, [data-bs-theme=dark] .pov-btn-light:not([data-bs-theme=light]) {
    --fn-btn-bg: black;
    --fn-btn-color: white;
    --fn-btn-border-color: black;
    --fn-btn-hover-color: black;
    --fn-btn-hover-bg: transparent;
    --fn-btn-hover-border-color: black;
    --fn-btn-focus-shadow-rgb: 63, 71, 83;
    --fn-btn-active-color: black;
    --fn-btn-active-bg: #ECAEFF;
    --fn-btn-active-border-color: black;
    --fn-btn-active-shadow: none;
    --fn-btn-disabled-color: #7c7c7c;
    --fn-btn-disabled-bg: #f4d1ff;
    --fn-btn-disabled-border-color: #f4d1ff;
}

.custom-hero {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding: 0;
}

.custom-hero-mask {
    position: absolute;
    top: 0;
    width: 15%;
    height: 100%;
    background: #ECAEFF;

    -webkit-mask-image: url(/marketplace/images/logo.svg), linear-gradient(black, black);
    -webkit-mask-repeat: no-repeat, repeat;
    -webkit-mask-size: 85% auto, 100%;
    -webkit-mask-position: center, center;
    -webkit-mask-composite: xor, source-over;

    mask-image: url(/marketplace/images/logo.svg), linear-gradient(black, black);
    mask-repeat: no-repeat, repeat;
    mask-size: 85% auto, 100%;
    mask-position: center, center;
    mask-composite: exclude;
}

.custom-hero-media {
    inset: 0;
    position: relative;
    height: 100%;
    width: auto;
    overflow: hidden;
    aspect-ratio: 16/9;
}

.custom-hero-media video {
    position: relative;
    height: 100%;
    width: auto;
    aspect-ratio: 16/9;
    pointer-events: none;
}

.custom-hero-slogan {
    position: relative;
    text-align: center;
    color: var(--fn-dark);
    font-size: 1.1rem;
    font-weight: bold;
    line-height: 1em;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.custom-hero-mask:after {
    position: absolute;
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--fn-light);
    line-height: 1.2;
    text-align: center;
    justify-items: end;
    bottom: 5%;
    padding: 10px;
}

.custom-hero-arrow {
    position: relative;
    align-self: center;
    padding-top: 1em;
    text-align: center;
}

@media (max-width: 1000px) {
    .custom-hero-mask {
        width: 20%;
        -webkit-mask-size: 65% auto, 100%;
        mask-size: 65% auto, 100%;
    }
}

@media (max-width: 850px) {
    .custom-hero-mask {
        width: 30%;
        -webkit-mask-size: 50% auto, 100%;
        mask-size: 50% auto, 100%;
    }
}

@media (max-width: 768px) {
    .custom-hero {
        max-width: 100%;
        margin-left: 0;
        margin-top: 0;
        width: 100%;
        height: 100vh;
        padding: unset;
    }

    .custom-hero-mask {
        position: absolute;
        width: 50%;
        height: 100%;
        -webkit-mask-size: 90% auto, 100%;
        mask-size: 80% auto, 100%;
    }

    .custom-hero-media {
        position: absolute;
        height: 100%;
        width: 100%;
        margin-left: 0;
        margin-right: 0;
        max-width: 100%;
    }

    .custom-hero-media video {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        max-width: unset;
    }

    .custom-hero-slogan {
        position: absolute;
        z-index: 1;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
        color: var(--fn-light);
        font-size: 1.3rem;
        font-weight: bold;
        line-height: 1em;
    }

    .custom-hero-mask:after {
        height: unset;
        position: absolute;
        bottom: 15%;
        left: 12.5%;
        font-size: 1.5rem;
        text-align: left;
    }

    .custom-hero-arrow {
        position: absolute;
        bottom: 20px;
        left: 25%;
        transform: translateX(-50%);
        text-align: unset;
    }
}

.section-with-swiper {
    overflow-y: hidden;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.swiper-pagination span.swiper-pagination-bullet {
    border-radius: 2px;
    width: 15px;
    height: 4px;
    background-color: color-mix(in oklab, #ECAEFF, black 15%);
}

.swiper-pagination span.swiper-pagination-bullet-active {
    width: 30px;
    background-color: var(--fn-dark);
}

.card-category {
    color: #ECAEFF;
    font-weight: 600;
    margin: 0;
}

.card-title {
    color: var(--fn-light);
    font-weight: 800;
    margin: 0;
}

.card-description {
    color: #8c8c8c;
    font-weight: 500;
    margin: 0;
}

.ratio-6x5 {
    aspect-ratio: 6/5;
}

.ratio-3x4 {
    aspect-ratio: 3/4;
}

.ratio-5x3 {
    aspect-ratio: 5/3;
}

.ratio-5x4 {
    aspect-ratio: 5/4;
}

.card-arrow {
    width: 40px;
    height: 40px;
    background: #ECAEFF;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-arrow-positioned {
    position: absolute;
    right: 10px;
    bottom: 10px;
}

.datetime-on-image {
    position: absolute;
    bottom: 0;
    left: 0;
    color: var(--fn-light);
    border-top-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    backdrop-filter: blur(10px);
}

.datetime-on-image .icon {
    color: #ECAEFF;
}

.swiper-slide {
    transition: opacity .5s ease !important;
}

.swiper-slide:not(.swiper-slide-active) {
    opacity: 0.5;
}

.swiper-slide.swiper-slide-active {
    opacity: 1;
}

.upcoming-events-section {
    background-color: #030303;
    background-image: url(/marketplace/images/circle.png);
    background-position: top;
    background-size: auto;
    background-repeat: repeat-y;
}

.card-dark {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
}

.card-surface-gradient {
    background: linear-gradient(to bottom right, rgba(0,0,0,.9), rgba(0,0,0,.9), #310DA3);
}

@media (min-width: 769px) {
    .card-variant-sm {
        background: rgba(0,0,0,.6);
    }
    .card-variant-sm .image-container {
        aspect-ratio: 5 / 2;
        max-width: 100%;
    }
    .card-variant-sm .card-category {
        font-size: 1.2em;
    }
    .card-variant-sm .card-title {
        font-size: 1.4em;
    }
}

.image-container {
    position: relative;
    height: 100%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.card-separator {
    border-color: var(--fn-light);
    border-width: thin;
    opacity: .1;
    margin: 10px 0;
}

.card-price .price-display {
    font-size: 1.8em;
    font-weight: 600;
    color: #ECAEFF;
}

.card-price .currency-iso {
    font-size: .5em;
    font-weight: 600;
}

.card-heart {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    color: #ECAEFF;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.6em;
    text-decoration: none;
}

.card-vertical {
    position: relative;
    background: linear-gradient(to bottom, rgba(0,0,0,0), rgba(0,0,0,1));
    z-index: 2;
}

.card-vertical-body {
    padding-top: 30vh !important;
}

.card-vertical-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

footer {
    overflow-x: hidden;
}

footer .container {
    padding: 0;
}

@media (min-width: 992px) {
    footer {
        border-top: 1px solid var(--fn-dark);
    }

    footer .container {
        padding: 2em 0;
    }

    footer .social-media {
        border-left: 1px solid var(--fn-dark);
    }
}

@media (max-width: 991px) {
    footer .social-media {
        border-top: 1px solid var(--fn-dark);
        border-bottom: 1px solid var(--fn-dark);
    }
}

.is-sold-out {
    background: #333333;
}

.is-sold-out .image-container {
    filter: grayscale(1);
}

.is-sold-out .card-category, .is-sold-out .card-title, .is-sold-out .card-description {
    color: #9f9f9f;
}

.is-sold-out .card-title {
    text-decoration: line-through;
}

.pov-navbar-dark, .pov-navbar-dark::before, .pov-navbar-dark::after {
    background: #000;
}

.pov-navbar-light, .pov-navbar-light::before, .pov-navbar-light::after {
    background: white;
}

.pov-navbar-item-light:not(.dropdown-item) {
    color: white;
}

.pov-navbar-item-dark:not(.dropdown-item) {
    color: #000;
}

header {
    z-index: 9999;
}
